package com.test;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.TimerTask;
import java.util.Timer;

import javax.websocket.Session;


public class ServerMessageSender implements Runnable {

	private Session session;
	private String sessionId;

	ServerMessageSender(Session _session) {
		sessionId = _session.getId();
		session = _session;
	}

	@Override
	public void run() {
		try {
			System.out.printf("ServerMessageSender thread starting!! sessionId=%s\n", sessionId);
			while (true) {
				try {
					Thread.sleep(100);

					if (!session.isOpen()) {
						System.out.printf("Session Closed. sessionId=%s\n", sessionId);
						return;
					}
					session.getBasicRemote().sendText(sessionId + "     The quick brown fox jumps over the lazy dog");
				} catch (Throwable t) {
					System.out.printf("Unexpected.. sessionId=%s\n", sessionId);
					t.printStackTrace();
					return;
				}
			}
		} catch (Throwable t) {
			System.out.printf("Outer Unexpected.. sessionId=%s\n", sessionId);
			t.printStackTrace();
		}
	}
}