package com.test;

import javax.websocket.OnClose;
import javax.websocket.OnError;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

@ServerEndpoint("/websocketendpoint")
public class WsServer {
	
	@OnOpen
	public void onOpen(Session session){
		System.out.printf("Open Connection ... sessionId=%s\n", session.getId());
		Thread serverMessageSender = new Thread(new ServerMessageSender(session));
		serverMessageSender.start();
	}
	
	@OnClose
	public void onClose(Session session){
		System.out.printf("Close Connection... sessionId=%s\n", session.getId());
	}
	
	@OnMessage
	public void onMessage(Session session,String message){
		System.out.printf("Message from the client: [%s] sessionId=%s\n", message, session.getId());
	}

	@OnError
	public void onError(Session session, Throwable t){
		System.out.printf("onError... sessionId=%s\n", session.getId());
		t.printStackTrace();
	}
}